View Issue Details

IDProjectCategoryView StatusLast Update
0032580Open CASCADEOCCT:Data Exchangepublic2021-09-25 09:44
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032580: Data Exchange, STL - add option splitting nodes at sharp corners
DescriptionAdd option splitting nodes at sharp corners
Steps To Reproduce
pload XDE VISUALIZATION MODELING
readstl s1 [locate_data_file shape.stl]
readstl s2 [locate_data_file shape.stl] -mergeAngle 45
vinit View1
vdisplay -dispMode 1 s1
vaspects s1 -faceBoundaryDraw 1
vfit
vclear
vdisplay -dispMode 1 s2
vaspects s2 -faceBoundaryDraw 1
TagsNo tags attached.
Test case numbertests/de_mesh/stl_read/D2

Attached Files

  • stl_mergeall.png (20,225 bytes)
  • stl_merge45.png (6,120 bytes)

Activities

git

2021-09-21 11:56

administrator   ~0104252

Branch CR32580 has been created by kgv.

SHA-1: 05be9ccc915eae0e00be002e880647f45c3f8af3


Detailed log of new commits:

Author: kgv
Date: Tue Sep 21 11:56:09 2021 +0300

    0032580: Data Exchange, STL - add option splitting nodes at sharp corners

kgv

2021-09-21 15:17

developer  

stl_mergeall.png (20,225 bytes)

kgv

2021-09-21 15:17

developer  

stl_merge45.png (6,120 bytes)

git

2021-09-21 15:20

administrator   ~0104262

Branch CR32580_1 has been created by kgv.

SHA-1: 9855ad0f4d5f5f03df0960cc6ad72cb643d72863


Detailed log of new commits:

Author: kgv
Date: Tue Sep 21 11:56:09 2021 +0300

    0032580: Data Exchange, STL - add option splitting nodes at sharp corners

git

2021-09-21 15:21

administrator   ~0104263

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 781384ad69cc32bebfd230639ef7df10d6479359

git

2021-09-21 15:25

administrator   ~0104264

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 23739f5b96da4644ac954f963585bdb66de56214

git

2021-09-21 15:34

administrator   ~0104265

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: d247eed4b6eb899af8acf4e3cd88c9c494077405

git

2021-09-21 15:36

administrator   ~0104266

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: e956e0778a720581c9c52fc1e5b740f48437869c

git

2021-09-21 15:44

administrator   ~0104267

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 6b83a6697a884f4255509e563c27872bc3d57ba5

git

2021-09-21 15:53

administrator   ~0104269

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 50f4547ee013aeaae024462de434c24d9dd1bf8b

git

2021-09-21 15:56

administrator   ~0104270

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: b30470329caadcd2a206963fb9c0252cd3cc3bc8

git

2021-09-21 17:05

administrator   ~0104272

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 810eaa12d230ae623de97da0859d2dea94f7ebc4

git

2021-09-21 17:11

administrator   ~0104273

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 5579fda5ad4f571250f95e9d11161153da904cc0

git

2021-09-21 17:12

administrator   ~0104274

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: ffc6c97a8a5de674169a8bce8bb0d874a8c8c69a

git

2021-09-21 19:10

administrator   ~0104276

Branch CR32580_1 has been updated forcibly by kgv.

SHA-1: 37bfb252321e9f31e9bcbc61755d5c8e1cfdbd0c

kgv

2021-09-21 19:13

developer   ~0104277

Patch is ready for review
- OCCT: branch CR32580_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32580_1-master-KGV/

osa

2021-09-22 10:07

developer   ~0104286

The patch was reviewed

smoskvin

2021-09-25 09:03

administrator   ~0104346

Combination -
OCCT branch : IR-2021-09-24
master SHA - 3be25c11705b931ff623f372a24e3e1b2203899c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-24 SHA - 87b937b1aaab0e7b9de6bee9b334ae2694f02413
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17446.850000000457 / 17398.820000000545 [+0.28%]
Products
---
Windows-64-VC14:
OCCT
Total CPU difference: 19308.25 / 19330.984375 [-0.12%]
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-25 09:44

administrator   ~0104363

Branch CR32580 has been deleted by mnt.

SHA-1: 05be9ccc915eae0e00be002e880647f45c3f8af3

git

2021-09-25 09:44

administrator   ~0104364

Branch CR32580_1 has been deleted by mnt.

SHA-1: 37bfb252321e9f31e9bcbc61755d5c8e1cfdbd0c

Related Changesets

occt: master c9831764

2021-09-21 08:56:09

kgv


Committer: smoskvin Details Diff
0032580: Data Exchange, STL - add option splitting nodes at sharp corners

Added Poly_MergeNodesTool tool for merging nodes within triangulation.
Added RWStl_Reader::MergeAngle() property managing merging behavior.
Affected Issues
0032580
mod - src/MeshTest/MeshTest.cxx Diff File
mod - src/Poly/FILES Diff File
add - src/Poly/Poly_MergeNodesTool.cxx Diff File
add - src/Poly/Poly_MergeNodesTool.hxx Diff File
mod - src/RWStl/RWStl.cxx Diff File
mod - src/RWStl/RWStl.hxx Diff File
mod - src/RWStl/RWStl_Reader.cxx Diff File
mod - src/RWStl/RWStl_Reader.hxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff File
mod - tests/de_mesh/stl_read/B11 Diff File
mod - tests/de_mesh/stl_read/B13 Diff File
mod - tests/de_mesh/stl_read/B14 Diff File
mod - tests/de_mesh/stl_read/B6 Diff File
mod - tests/de_mesh/stl_read/C5 Diff File
add - tests/de_mesh/stl_read/D2 Diff File
add - tests/de_mesh/stl_read/D3 Diff File

Issue History

Date Modified Username Field Change
2021-09-21 11:55 kgv New Issue
2021-09-21 11:55 kgv Assigned To => kgv
2021-09-21 11:56 git Note Added: 0104252
2021-09-21 15:17 kgv File Added: stl_mergeall.png
2021-09-21 15:17 kgv File Added: stl_merge45.png
2021-09-21 15:20 git Note Added: 0104262
2021-09-21 15:21 git Note Added: 0104263
2021-09-21 15:25 git Note Added: 0104264
2021-09-21 15:34 git Note Added: 0104265
2021-09-21 15:36 git Note Added: 0104266
2021-09-21 15:44 git Note Added: 0104267
2021-09-21 15:53 git Note Added: 0104269
2021-09-21 15:56 git Note Added: 0104270
2021-09-21 17:05 git Note Added: 0104272
2021-09-21 17:11 git Note Added: 0104273
2021-09-21 17:12 git Note Added: 0104274
2021-09-21 19:10 git Note Added: 0104276
2021-09-21 19:13 kgv Test case number => tests/de_mesh/stl_read/D2
2021-09-21 19:13 kgv Note Added: 0104277
2021-09-21 19:13 kgv Assigned To kgv => osa
2021-09-21 19:13 kgv Status new => resolved
2021-09-21 19:13 kgv Steps to Reproduce Updated
2021-09-21 19:14 kgv Steps to Reproduce Updated
2021-09-22 10:07 osa Note Added: 0104286
2021-09-22 10:07 osa Assigned To osa => bugmaster
2021-09-22 10:07 osa Status resolved => reviewed
2021-09-25 09:03 smoskvin Note Added: 0104346
2021-09-25 09:03 smoskvin Status reviewed => tested
2021-09-25 09:22 smoskvin Changeset attached => occt master c9831764
2021-09-25 09:22 smoskvin Assigned To bugmaster => smoskvin
2021-09-25 09:22 smoskvin Status tested => verified
2021-09-25 09:22 smoskvin Resolution open => fixed
2021-09-25 09:44 git Note Added: 0104363
2021-09-25 09:44 git Note Added: 0104364